| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC4261.cpp File Reference
Hot Swap » LTC4261: Negative Voltage Hot Swap Controllers with ADC and I2C Monitoring

Library for LTC4261: Negative Voltage Hot Swap Controllers with ADC and I2C Monitoring. More...

## Detailed Description

Library for LTC4261: Negative Voltage Hot Swap Controllers with ADC and I2C Monitoring.

Definition in file LTC4261.cpp.

Go to the source code of this file.

## Functions
int8_t | LTC4261_write (uint8_t i2c_address, uint8_t command, uint8_t code)
| Write an 8-bit code to the LTC4261. More...
int8_t | LTC4261_read (uint8_t i2c_address, uint8_t command, uint8_t *code)
| Reads an 8-bit adc_code from LTC4261. More...
int8_t | LTC4261_read_10_bits (uint8_t i2c_address, uint8_t adc_command, uint16_t *adc_code)
| Reads a 10-bit adc_code from LTC4261. More...
int8_t | LTC4261_ARA (uint8_t alert_response_address, uint8_t *i2c_address)
| SMBus Alert Response Protocol: Sends an alert response command and releases /ALERT pin. More...
float | LTC4261_ADIN_code_to_voltage (uint16_t adc_code, float LTC4261_ADIN_lsb, float resistor_divider_ratio)
| Calculate the LTC4261 ADIN voltage. More...
float | LTC4261_code_to_current (uint16_t adc_code, float resistor, float LTC4261_DELTA_SENSE_lsb)
| Calculate the LTC4261 current with a sense resistor. More...

## Function Documentation

## ◆ LTC4261_ADIN_code_to_voltage()

float LTC4261_ADIN_code_to_voltage | ( | uint16_t | adc_code,
|  | float | LTC4261_ADIN_lsb,
|  | float | resistor_divider_ratio
| ) |  |

Calculate the LTC4261 ADIN voltage.

Returns
  Returns the ADIN Voltage in Volts

Parameters

  adc_code | The ADC value
  LTC4261_ADIN_lsb | ADIN lsb weight
  resistor_divider_ratio | the ratio that the voltages have been divided down

Definition at line 110 of file LTC4261.cpp.

## ◆ LTC4261_ARA()

int8_t LTC4261_ARA | ( | uint8_t | alert_response_address,
|  | uint8_t * | i2c_address
| ) |  |

SMBus Alert Response Protocol: Sends an alert response command and releases /ALERT pin.

LTC4261 responds with its address

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  alert_response_address | the Alert Response Address on the I2C bus
  i2c_address | the address of the alert source

Definition at line 102 of file LTC4261.cpp.

## ◆ LTC4261_code_to_current()

float LTC4261_code_to_current | ( | uint16_t | adc_code,
|  | float | resistor,
|  | float | LTC4261_DELTA_SENSE_lsb
| ) |  |

Calculate the LTC4261 current with a sense resistor.

Returns
  The LTC4261 sense current

Parameters

  adc_code | The ADC value
  resistor | The resistor value
  LTC4261_DELTA_SENSE_lsb | Delta sense lsb weight

Definition at line 119 of file LTC4261.cpp.

## ◆ LTC4261_read()

int8_t LTC4261_read | ( | uint8_t | i2c_address,
|  | uint8_t | command,
|  | uint8_t * | code
| ) |  |

Reads an 8-bit adc_code from LTC4261.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  i2c_address | I2C Address for the LTC4261
  command | The "command byte" for the LTC4261 that corresponds to register address
  code | Value that will be read from the register

Definition at line 82 of file LTC4261.cpp.

## ◆ LTC4261_read_10_bits()

int8_t LTC4261_read_10_bits | ( | uint8_t | i2c_address,
|  | uint8_t | adc_command,
|  | uint16_t * | adc_code
| ) |  |

Reads a 10-bit adc_code from LTC4261.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  i2c_address | I2C Address for the LTC4261
  adc_command | The "command byte" for the LTC4261 that corresponds to register address
  adc_code | Value that will be read from the register.

Definition at line 91 of file LTC4261.cpp.

## ◆ LTC4261_write()

int8_t LTC4261_write | ( | uint8_t | i2c_address,
|  | uint8_t | command,
|  | uint8_t | code
| ) |  |

Write an 8-bit code to the LTC4261.

Returns
  The function returns the state of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Parameters

  i2c_address | I2C Address for the LTC4261
  command | The "command byte" for the LTC4261 that corresponds to register address
  code | Value that will be written to the register

Definition at line 73 of file LTC4261.cpp.